MultiKeysMapTest
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.resources.types
Class MultiKeysMapTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.gcube.vremanagement.resourcemanager.impl.resources.types.MultiKeysMapTest

All Implemented Interfaces:
  junit.framework.Test

    public class MultiKeysMapTest

extends junit.framework.TestCase

JUnit test for `MultiKeysMap`

Author:
  Manuele Simi (ISTI-CNR)

Constructor Summary
`MultiKeysMapTest(java.lang.String name)`

Method Summary
`void` | `printMap()`
`void` | `testClean()`
`void` | `testGetValuesByPrimaryKey()`
`void` | `testGetValuesBySecondaryKey()`
`void` | `testPrimaryKeySet()`
`void` | `testPut()`
`void` | `testRemoveValue()`
`void` | `testRemoveValuesByPrimaryKey()`
`void` | `testRemoveValuesBySecondaryKey()`
`void` | `testSecondaryKeySet()`
`void` | `testValues()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiKeysMapTest

    public MultiKeysMapTest(java.lang.String name)

Method Detail

### testPut

    public void testPut()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRemoveValuesByPrimaryKey

    public void testRemoveValuesByPrimaryKey()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRemoveValue

    public void testRemoveValue()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRemoveValuesBySecondaryKey

    public void testRemoveValuesBySecondaryKey()
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testGetValuesByPrimaryKey

    public void testGetValuesByPrimaryKey()

### testGetValuesBySecondaryKey

    public void testGetValuesBySecondaryKey()

### testPrimaryKeySet

    public void testPrimaryKeySet()

### testSecondaryKeySet

    public void testSecondaryKeySet()

### testValues

    public void testValues()

### testClean

    public void testClean()

### printMap

    public void printMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD